LinuxQMISDK: GetIMSVoIPConfigResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
GetIMSVoIPConfigResp Struct Reference

## Data Fields
BYTE * | pSettingResp
WORD * | pSessionExpiryTimer
WORD * | pMinSessionExpiryTimer
BYTE * | pAmrWbEnable
BYTE * | pScrAmrEnable
BYTE * | pScrAmrWbEnable
BYTE * | pAmrMode
WORD * | pAmrWBMode
BYTE * | pAmrOctetAligned
BYTE * | pAmrWBOctetAligned
WORD * | pRingingTimer
WORD * | pRingBackTimer
WORD * | pRTPRTCPInactTimer

## Detailed Description

This structure contains the SLQSGetIMSVoIPConfig request parameters.

Parameters

  pSettingResp | Settings Response. A settings specific error code is returned when the standard response error type is QMI_ERR_CAUSE_CODE
  pSessionExpiryTimer | Session duration, in seconds
  pMinSessionExpiryTimer | Minimum allowed value for session expiry timer, in seconds
  pAmrWbEnable | Flag to enable/disable Adaptive Multirate Codec(AMR) WideBand(WB) audio Values: True - Enable False - Disable
  pScrAmrEnable | Flag to enable/disable Source Control Rate(SCR) for AMR NarrowBand (NB) Values: True - Enable False - Disable
  pScrAmrWbEnable | Flag to enable/disable SCR for AMR WB Audio Values: True - Enable False - Disable
  pAmrMode | BitMask for AMR NB modes allowed Values: 0x1 - 4.75 kbps 0x2 - 5.15 kbps 0x4 - 5.9 kbps 0x8 - 6.17 kbps 0x10 - 7.4 kbps 0x20 - 7.95 kbps 0x40 - 10.2 kbps 0x80 - 12.2 kbps
  pAmrWBMode | BitMask for AMR WB modes allowed Values: 0x1 - 6.60 kbps 0x2 - 8.85 kbps 0x4 - 12.65 kbps 0x8 - 14.25 kbps 0x10 - 15.85 kbps 0x20 - 18.25 kbps 0x40 - 19.85 kbps 0x80 - 23.05 kbps 0x100 - 23.85 kbps
  pAmrOctetAligned | Flag to indicate if the octet is aligned for AMR NB Audio Values: True - Aligned False - Not aligned, Bandwidth Efficient mode
  pAmrWBOctetAligned | Flag to indicate if the octet is aligned for AMR WB Audio Values: True - Aligned False - Not aligned, Bandwidth Efficient mode
  pRingingTimer | Duration of ringing timer, in seconds. The ringing timer starts on the ringing event. If the call is not answered within the duration of this timer, the call is disconnected.
  pRingBackTimer | Duration of ringback timer, in seconds. The ringback timer starts on the ringback event. If the call is not answered within the duration of this timer, the call is disconnected.
  pRTPRTCPInactTimer | Duration of RTP/RTCP inactivity timer, in seconds. If no RTP/RTCP packet is received prior to the expiry of this timer, the call is disconnected.

## Field Documentation

BYTE* GetIMSVoIPConfigResp::pAmrMode

BYTE* GetIMSVoIPConfigResp::pAmrOctetAligned

BYTE* GetIMSVoIPConfigResp::pAmrWbEnable

WORD* GetIMSVoIPConfigResp::pAmrWBMode

BYTE* GetIMSVoIPConfigResp::pAmrWBOctetAligned

WORD* GetIMSVoIPConfigResp::pMinSessionExpiryTimer

WORD* GetIMSVoIPConfigResp::pRingBackTimer

WORD* GetIMSVoIPConfigResp::pRingingTimer

WORD* GetIMSVoIPConfigResp::pRTPRTCPInactTimer

BYTE* GetIMSVoIPConfigResp::pScrAmrEnable

BYTE* GetIMSVoIPConfigResp::pScrAmrWbEnable

WORD* GetIMSVoIPConfigResp::pSessionExpiryTimer

BYTE* GetIMSVoIPConfigResp::pSettingResp